Highlighted

Photoshop v21.2.2 not compatible

New Here ,
Aug 19, 2020

Copy link to clipboard

Copied

I just installed Photoshop yesterday and now I get a message that states that " Photoshop v21.2.2 not compatible" why is that?

 

Thanks!

Topics

Download and install, Mac

Views

59

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Photoshop v21.2.2 not compatible

New Here ,
Aug 19, 2020

Copy link to clipboard

Copied

I just installed Photoshop yesterday and now I get a message that states that " Photoshop v21.2.2 not compatible" why is that?

 

Thanks!

Topics

Download and install, Mac

Views

60

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Aug 19, 2020 0
Adobe Community Professional ,
Aug 19, 2020

Copy link to clipboard

Copied

Does your computer meet the system requirements?

https://www.adobe.com/products/photoshop-elements/tech-specs.html

 

Which operating system are you running?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 19, 2020 0